org.springframework.messaging.simp.stomp

## Class ConnectionLostException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.messaging.simp.stomp.ConnectionLostException

All Implemented Interfaces:
  Serializable

    public class ConnectionLostException
    extends RuntimeException

Raised when the connection for a STOMP session is lost rather than closed.

Since:
  4.2
Author:
  Rossen Stoyanchev
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConnectionLostException(String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConnectionLostException

    public ConnectionLostException(String message)